## python3-defaults 3.1.3-12+squeeze1

=== Makefile ===
#!/usr/bin/make -f
INSTALL ?= install
PREFIX ?= /usr/local

clean:
	make -C tests clean
	make -C pydist clean
	find . -name '*.py[co]' -delete
	rm -f .coverage

install-dev:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/python3/runtime.d \
		$(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/ \
		$(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/
	$(INSTALL) -m 755 runtime.d/* $(DESTDIR)$(PREFIX)/share/python3/runtime.d/
	$(INSTALL) -m 644 autoscripts/* $(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/
	$(INSTALL) -m 755 dh_python3 $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -m 644 python3.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/

install-runtime:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/share/python3/debpython $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 644 debpython/*.py $(DESTDIR)$(PREFIX)/share/python3/debpython/
	$(INSTALL) -m 755 py3compile $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -m 755 py3clean $(DESTDIR)$(PREFIX)/bin/

install: install-dev install-runtime

dist_fallback:
	make -C pydist $@

nose:
	nosetests --with-doctest --with-coverage

tests: nose
	make -C tests

test%:
	make -C tests $@

check_versions:
	@PYTHONPATH=. set -e; \
	DEFAULT=`python3 -c 'import debpython.version as v; print(v.vrepr(v.DEFAULT))'`;\
	SUPPORTED=`python3 -c 'import debpython.version as v; print(" ".join(sorted(v.vrepr(v.SUPPORTED))))'`;\
	DEB_DEFAULT=`sed -rn 's,^default-version = python([0.9.]*),\1,p' debian/debian_defaults`;\
	DEB_SUPPORTED=`sed -rn 's|^supported-versions = (.*)|\1|p' debian/debian_defaults | sed 's/python//g;s/,//g'`;\
	[ "$$DEFAULT" = "$$DEB_DEFAULT" ] || \
	(echo 'Please update DEFAULT in debpython/version.py' >/dev/stderr; false);\
	[ "$$SUPPORTED" = "$$DEB_SUPPORTED" ] || \
	(echo 'Please update SUPPORTED in debpython/version.py' >/dev/stderr; false)

.PHONY: clean tests test% check_versions

=== tests/Makefile ===
#!/usr/bin/make -f

all: scripts test1

test%:
	(cd t$*; debuild -us -uc)

scripts:
	sh ./test_scripts.sh

clean:
	rm -f *\.dsc *\.tar\.gz *\.build *\.changes *\.deb
	(cd t1; ./debian/rules clean)
	@find . -name '*\.egg-info' -exec rm -rf "{}" \; || true

.PHONY: clean

## python3-defaults 3.0~b3-0ubuntu2

=== debian/changelog ===
python3-defaults (3.0~b3-0ubuntu2) intrepid; urgency=low

  * Remove "Essential: yes" from python3-minimal (LP: #273359). Downgrade it
    and python3 to priority optional for now.
  * Fix path in python3-minimal's description.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Sep 2008 00:10:59 +0100

python3-defaults (3.0~b3-0ubuntu1) intrepid; urgency=low

  * Build new defaults for python3.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Sep 2008 22:21:59 +0000

python-defaults (2.5.2-1ubuntu1) intrepid; urgency=low

  * Merge with Debian; remaining changes:
    - Build the -doc package from this source package.
    - Omit Debian specific upgrade code.
    - Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Jun 2008 13:13:51 +0200

python-defaults (2.5.2-0ubuntu1) hardy; urgency=low

  * Depend on the 2.5.2 versions of the packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Mar 2008 18:03:30 +0000

python-defaults (2.5.1-1ubuntu2) gutsy; urgency=low

  * Temporarily loosen the dependency on python2.5 to allow python2.5
    to build on powerpc and sparc.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Apr 2007 00:00:32 +0200

python-defaults (2.5.1-1ubuntu1) gutsy; urgency=low

  * Depend on the 2.5.1 versions of the packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Apr 2007 11:23:17 +0200

python-defaults (2.5.1~rc1-0ubuntu3) feisty; urgency=low

  * Fix versioned build dependency on python2.5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 Apr 2007 06:37:58 +0200

python-defaults (2.5.1~rc1-0ubuntu2) feisty; urgency=low

  * Add a sanity check, that /usr/bin/python points to the default
    python version. Users tend to modify this symlink, which then
    breaks stuff in obscure ways. Ubuntu #75557, Debian #418002.

 -- Matthias Klose <doko@ubuntu.com>  Fri,  6 Apr 2007 17:47:24 +0200

python-defaults (2.5.1~rc1-0ubuntu1) feisty; urgency=low

  * Depend on the 2.5.1~rc1 versions of the packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri,  6 Apr 2007 11:13:10 +0000

python-defaults (2.5-0ubuntu6) feisty; urgency=low

  * python-dbg: Add a python-dbg-config binary.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Feb 2007 21:39:44 +0100

python-defaults (2.5-0ubuntu5) feisty; urgency=low

  * python-all-dbg: Tighten dependencies on the python2.x-dbg packages.
  * python-dbg: Provide python-gdbm-dbg, python-tk-dbg,
    link to README.debug, SpecialBuilds.txt.gz.
  * python-dev: Add an unversioned python-config binary.
  * Readd build-dependency on python-docutils.
  * Set Ubuntu maintainer address.
  * Update the FAQ.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 16 Feb 2007 18:18:06 +0100

python-defaults (2.5-0ubuntu4) feisty; urgency=low

  * New package python-all-dbg.

 -- Matthias Klose <doko@ubuntu.com>  Fri,  9 Feb 2007 01:16:09 +0100

python-defaults (2.5-0ubuntu3) feisty; urgency=low

  * Temporarily remove build-dependency on python-docutils.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Jan 2007 13:06:50 +0000

python-defaults (2.5-0ubuntu2) feisty; urgency=low

  * Fix icon for desktop file.
  * Robustify building the faq html pages.
  * Make the suggestions of various packages versioned.
  * Recommend depending on "pythonX.X-foo, python-foo" instead of recommending
    to only depend on "pythonX.X-foo" when a particular version is needed to
    permit upgrades from real packages to virtual ones. (Loic Minier).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Jan 2007 11:42:02 +0000

python-defaults (2.5-0ubuntu1) feisty; urgency=low

  * Make python2.5 the default version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Jan 2007 09:10:52 +0000

python-defaults (2.4.4-1ubuntu2) feisty; urgency=low

  * python-minimal is essential, not python.

 -- Matthias Klose <doko@ubuntu.com>  Thu,  7 Dec 2006 14:25:20 +0000

python-defaults (2.4.4-1ubuntu1) feisty; urgency=low

  * Merge with Debian unstable.
    - Backout: Add 2.5 to unsupported-versions.
  * Build the FAQ again.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Nov 2006 15:21:31 -0800

python-defaults (2.4.4-1) unstable; urgency=medium

  * Depend on the 2.4.4 versions of the packages.
  * Sync pyversions.py with python-central.
  * Move 2.3 to old-versions, from supported-versions.
  * Add 2.5 to unsupported-versions.

 -- Matthias Klose <doko@debian.org>  Sun, 29 Oct 2006 11:06:39 +0100

python-defaults (2.4.3-11ubuntu3) edgy; urgency=low

  * Temporarily remove the FAQ and the build-dependency on python-docutils,
    so that the build dependencies can be installed.
    
 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Sep 2006 17:28:47 +0000

python-defaults (2.4.3-11ubuntu2) edgy; urgency=low

  * debian/pyversions:
    - merged the changes from python-central to support older python
      version (and not break on upgrades)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Sep 2006 16:42:12 +0200

python-defaults (2.4.3-11ubuntu1) edgy; urgency=low

  * Merge with Debian unstable.

 -- Matthias Klose <doko@ubuntu.com>  Fri,  8 Sep 2006 00:22:21 +0200

python-defaults (2.4.3-11) unstable; urgency=low

  * Add a conflict to python-central (<< 0.5.5).

 -- Matthias Klose <doko@debian.org>  Sun, 13 Aug 2006 19:32:59 +0000

python-defaults (2.4.3-10) unstable; urgency=low

  * Upload to unstable. Closes: #347440, #360851.
  * Let the preinst fail on the first failing pre-rtupdate hook,
    after running the corresponding failed-pre-rtupdate hook.
  * Reflect renaming of the docutils binaries. Closes: #377601.
  * Update the upstream FAQ.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Aug 2006 20:28:30 +0200

python-defaults (2.4.3-9) experimental; urgency=low

  * Fix syntax error in python.preinst. Closes: #381673.

 -- Matthias Klose <doko@debian.org>  Sun,  6 Aug 2006 12:39:34 +0000

python-defaults (2.4.3-8) experimental; urgency=low

  * idle: Depend on python-tk, add desktop and menu files.

 -- Matthias Klose <doko@debian.org>  Sat,  5 Aug 2006 18:38:31 +0000



=== debian/control ===
Source: python3-defaults
Section: python
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
Build-Depends-Indep: debhelper (>= 4), libhtml-tree-perl, debiandoc-sgml, python-docutils, python2.5 (>= 2.5.2)
Standards-Version: 3.7.3

Package: python3
Architecture: all
Priority: optional
Depends: python3.0 (>= 3.0~b2), python3-minimal (= ${Source-Version})
Suggests: python3-doc (>= ${Source-Version}), python3-tk (>= ${Source-Version}), python3-profiler (>= ${Source-Version})
Description: An interactive high-level object-oriented language (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v3.0).

Package: python3-minimal
Architecture: all
Priority: optional
Depends: python3.0-minimal (>= 3.0~b2), dpkg (>= 1.13.20)
Description: A minimal subset of the Python language (default python3 version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python3-minimal/README.Debian for a list of the modules
 contained in this package.

Package: python3-examples
Architecture: all
Depends: python3 (= ${Source-Version}), python3.0-examples (>= 3.0~b2)
Description: Examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v3.0).

Package: python3-dev
Architecture: all
Depends: python3 (= ${Source-Version}), python3.0-dev (>= 3.0~b2)
Description: Header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v3.0).

Package: idle3
Architecture: all
Depends: python3 (= ${Source-Version}), python3-tk (>= 2.4.3-3)
Enhances: python3
Description: An IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v3.0).

Package: python3-doc
Section: doc
Architecture: all
Depends: python3.0-doc (>= 3.0~b2)
Suggests: python3 (>= ${Source-Version})
Description: Documentation for the high-level object-oriented language Python
 This is the official set of documentation for the interactive high-level
 object-oriented language Python (v3.0). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v3.0).

Package: python3-dbg
Architecture: all
Priority: extra
Depends: python3 (= ${Source-Version}), python3.0-dbg (>= 3.0~b2)
Provides: python3-gdbm-dbg, python3-tk-dbg
Description: Debug Build of the Python Interpreter (version 3.0)
 Python interpreter configured with --pydebug. Dynamically loaded modules are
 searched in /usr/lib/python3.0/lib-dynload/debug first.

Package: python3-all
Architecture: all
Priority: optional
Depends: python3 (= ${Source-Version}), python3.0
Description: Package depending on all supported Python runtime versions
 The package currently depends on python3.0, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
 may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python runtimes.

Package: python3-all-dev
Architecture: all
Priority: optional
Depends: python3-all (= ${Source-Version}), python3-dev (= ${Source-Version}), python3.0-dev
Description: Package depending on all supported Python development packages
 The package currently depends on python3.0-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python development packages.

Package: python3-all-dbg
Architecture: all
Priority: optional
Depends: python3-all (= ${Source-Version}), python3-dbg (= ${Source-Version}), python3.0-dbg
Description: Package depending on all supported Python debugging packages
 The package currently depends on python3.0-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python development packages.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

export SHELL = /bin/bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

changelog_values := $(shell dpkg-parsechangelog \
			| awk '/^(Version|Source):/ {print $$2}')
PKGSOURCE  := $(word 1, $(changelog_values))
PKGVERSION := $(word 2, $(changelog_values))

distribution := $(shell lsb_release -is)

export VER=3.0
export NVER=3.1
export PVER=python3.0

PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
PREVVER := 3.0~b2

PWD		:= $(shell pwd)

d		:= debian/tmp
scriptdir	=  usr/share/lib/python$(VER)
scriptdir	=  usr/share/python$(VER)
scriptdir	=  usr/lib/python$(VER)

rst2html	= rst2html

with_doc	= yes
ifneq ($(with_doc),yes)
  NOPKGS	= -Npython-doc
endif

build: stamp-build
stamp-build:
	touch stamp-build

stamp-doc-policy:
	debiandoc2text debian/python-policy.sgml
	mv -f python-policy.txt debian/
	debiandoc2html debian/python-policy.sgml
	rm -rf debian/python-policy.html
	mv -f python-policy.html debian/
	touch stamp-doc-policy

stamp-doc: #stamp-doc-policy
	touch stamp-doc

control-file:
	sed -e "s/@PVER@/$(PVER)/g" \
	    -e "s/@NVER@/$(NVER)/g" \
	    -e "s/@VER@/$(VER)/g" \
	    -e "s/@PREVVER@/$(PREVVER)/g" \
		<debian/control.in >debian/control.tmp
ifeq ($(distribution),Ubuntu)
  ifneq (,$(findstring ubuntu, $(PKGVERSION)))
	m='Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>'; \
	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
	  debian/control.tmp
  endif
endif
	[ -e debian/control ] \
	  && cmp -s debian/control debian/control.tmp \
	  && rm -f debian/control.tmp && exit 0; \
	  mv debian/control.tmp debian/control

faqs = index general programming library extending windows gui installed
get-faq:
	rm -rf faq
	mkdir faq
	cd faq && \
	  wget -nv $(foreach p,$(faqs),http://python.org/doc/faq/$(p).ht)
	sed 's,\<\([a-zA-Z0-9]*\.html\)\>,faq/\1,' faq/index.ht \
		| awk '/^Translations$$/ {exit} {print}' > faq/FAQ.ht
	( \
	  echo ''; \
	  echo 'This is a local copy of the online FAQ located at'; \
	  echo 'http://python.org/doc/faq.'; \
	  echo "The copy was fetched and generated in `date '+%B %Y'`."; \
	) >> faq/FAQ.ht
	rm -f faq/index.ht

clean: control-file
	dh_testdir
	dh_testroot
	rm -f stamp-*
	rm -f patch-stamp*

	rm -f debian/python-policy.txt
	rm -rf debian/python-policy.html
	rm -f faq/*.h2 faq/*.html

	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
	        rm -f $$f2; \
	    fi; \
	done
	rm -f debian/*.py[co]
	dh_clean

stamp-control:
	: # We have to prepare the various control files

	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
		sed -e "s/@PVER@/$(PVER)/g;s/@VER@/$(VER)/g" \
		    -e "s/@PRIORITY@/$(PRIORITY)/g" \
		    -e "s,@SCRIPTDIR@,/$(scriptdir),g" \
		  <$$f >$$f2; \
	    fi; \
	done

install: build stamp-install
stamp-install: stamp-build control-file stamp-control
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
ifeq (0,1)
	dh_installdirs usr/share/doc/python/faq

	set -e; \
	cd faq && \
	for p in *.ht; do \
	  p=`basename $$p .ht`; \
	  echo $(rst2html) $$p.ht $$p.html; \
	  awk 'NR > 2' $$p.ht > $$p.ht2; \
	  $(rst2html) $$p.ht2 $$p.html; \
	  mv $$p.html ../debian/python/usr/share/doc/python/faq/; \
	  rm -f $$p.ht2; \
	done
	mv debian/python/usr/share/doc/python/faq/FAQ.html \
		debian/python/usr/share/doc/python/
endif
	touch stamp-install

# Build architecture-independent files here.
binary-indep: build install stamp-doc
	dh_testdir -i
	dh_testroot -i

	: # provide the python and python.1 defaults
	mkdir -p debian/python3-minimal/usr/bin
	ln -sf python$(VER) debian/python3-minimal/usr/bin/python3
	mkdir -p debian/python3-minimal/usr/share/man/man1
	ln -sf python$(VER).1.gz \
		debian/python3-minimal/usr/share/man/man1/python3.1.gz

	: # 
	mkdir -p debian/python3-minimal/usr/share/python3
ifeq (0,1)
	cp -p debian/debian_defaults \
		debian/python-minimal/usr/share/python/

	install -m 755 debian/pyversions.py \
		debian/python-minimal/usr/share/python/
	install -m 644 debian/pyversions.1 \
		debian/python-minimal/usr/share/man/man1/
	dh_link -ppython /usr/share/python/pyversions.py /usr/bin/pyversions
endif

#	mkdir debian/python-minimal/usr/share/python-central
#	cp -p debian/python.pycentral debian/python-minimal/usr/share/python-central/

	mkdir -p debian/python3/usr/bin
	ln -sf pydoc$(VER) debian/python3/usr/bin/pydoc3
	ln -sf pygettext$(VER) debian/python3/usr/bin/pygettext3
	ln -sf pdb$(VER) debian/python3/usr/bin/pdb3

	mkdir -p debian/python3/usr/share/man/man1
	ln -sf pydoc$(VER).1.gz \
		debian/python3/usr/share/man/man1/pydoc3.1.gz
	ln -sf pygettext$(VER).1.gz \
		debian/python3/usr/share/man/man1/pygettext3.1.gz
	ln -sf pdb$(VER).1.gz \
		debian/python3/usr/share/man/man1/pdb3.1.gz

	mkdir -p debian/python3/usr/share/doc/python3
ifeq (0,1)
	cp -a debian/python-policy.{html,sgml,txt} \
		debian/python/usr/share/doc/python/
endif

	mkdir -p debian/python3/usr/share/pixmaps
	ln -sf python$(VER).xpm debian/python3/usr/share/pixmaps/python3.xpm

ifeq (0,1)
	: # add symlinks to policy files
	mkdir -p debian/python/usr/share/doc/python$(VER)
	for ext in html sgml.gz txt.gz; do \
	  ln -sf ../python/python-policy.$$ext \
		debian/python/usr/share/doc/python$(VER)/python-policy.$$ext; \
	done
endif

ifeq ($(with_doc),yes)
	mkdir -p debian/python3-doc/usr/share/doc/python3
	ln -sf ../python$(VER)-doc/html \
		debian/python3-doc/usr/share/doc/python3/html
	mkdir -p debian/python3-doc/usr/share/doc/python3-doc
	ln -sf ../python$(VER)-doc/html \
		debian/python3-doc/usr/share/doc/python3-doc/html
endif

ifeq (0,1)
	mkdir -p debian/python3/usr/share/apps/konsole
	cp -p debian/python.desktop debian/python3/usr/share/apps/konsole/
endif

	: # provide the python3-config default
	mkdir -p debian/python3-dev/usr/bin
	ln -sf python$(VER)-config debian/python3-dev/usr/bin/python3-config

	: # provide the python-dbg and python-dbg.1 defaults
	mkdir -p debian/python3-dbg/usr/bin
	ln -sf python$(VER)-dbg debian/python3-dbg/usr/bin/python3-dbg
	ln -sf python$(VER)-dbg-config debian/python3-dbg/usr/bin/python3-dbg-config
	mkdir -p debian/python3-dbg/usr/share/man/man1
	ln -sf python$(VER)-dbg.1.gz \
		debian/python3-dbg/usr/share/man/man1/python3-dbg.1.gz
	mkdir -p debian/python3-dbg/usr/share/doc/python3
	ln -sf ../python$(VER)/SpecialBuilds.txt.gz \
		debian/python3-dbg/usr/share/doc/python3/SpecialBuilds.txt.gz
	ln -sf ../python$(VER)/README.debug \
		debian/python3-dbg/usr/share/doc/python3/README.debug

	mkdir -p debian/python3/usr/lib/valgrind
	cp -p debian/valgrind-python.supp \
		debian/python3/usr/lib/valgrind/python3.supp

	: # provide the idle and idle.1 defaults
	mkdir -p debian/idle3/usr/bin
	install -m 755 debian/idle.py debian/idle3/usr/bin/idle3

	mkdir -p debian/idle3/usr/share/man/man1
	install -m 644 debian/idle.1 debian/idle3/usr/share/man/man1/idle3.1

	mkdir -p debian/idle3/usr/share/pixmaps
	ln -sf python3.xpm debian/python3/usr/share/pixmaps/idle3.xpm

	mkdir -p debian/idle3/usr/share/applications
	cp -p debian/idle3.desktop debian/idle3/usr/share/applications/

#	dh_installdebconf -i $(NOPKGS)
	dh_installdocs -i $(NOPKGS) --all debian/README.Debian
	dh_installmenu -i $(NOPKGS)
	dh_desktop -i $(NOPKGS)
	dh_installchangelogs -i $(NOPKGS)

	for p in all all-dev all-dbg dbg dev examples idle3; do \
	  [ $$p = idle3 ] || p=python3-$$p; \
	  rm -rf debian/$$p/usr/share/doc/$$p; \
	  ln -sf python3 debian/$$p/usr/share/doc/$$p; \
	done

	dh_compress -i $(NOPKGS)
	dh_fixperms -i $(NOPKGS)
	dh_installdeb -i $(NOPKGS)
	dh_gencontrol -i $(NOPKGS)
	dh_md5sums -i $(NOPKGS)
	dh_builddeb -i $(NOPKGS)

# Build architecture-dependent files here.

## python3-defaults 3.0.1-0ubuntu4

=== debian/changelog ===
python3-defaults (3.0.1-0ubuntu4) jaunty; urgency=low

  * Make idle3 actually run with /usr/bin/python3.  (LP: #336381)
  * Remove unused idle.sh that led to the previous confusion.

 -- Anders Kaseorg <andersk@mit.edu>  Thu, 12 Mar 2009 15:37:50 -0400

python3-defaults (3.0.1-0ubuntu3) jaunty; urgency=low

  * Make idle3 run with /usr/bin/python3, not /usr/bin/python.
    (LP: #336381)
  * Remove Essential: yes from python3-minimal, and reduce the Priority of
    python3 and python3-minimal to optional.  (LP: #330613)

 -- Anders Kaseorg <andersk@mit.edu>  Sun, 08 Mar 2009 18:30:38 -0400

python3-defaults (3.0.1-0ubuntu2) jaunty; urgency=low

  * Depend on the 3.0.1 versions of the packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Feb 2009 23:23:06 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends-Indep: debhelper (>= 4), libhtml-tree-perl, debiandoc-sgml, python-docutils, python2.5 (>= 2.5.2)
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 
 Package: python3
 Architecture: all
 Priority: optional
-Depends: python3.0 (>= 3.0~b2), python3-minimal (= ${Source-Version})
+Depends: python3.0 (>= 3.0.1), python3-minimal (= ${Source-Version})
 Suggests: python3-doc (>= ${Source-Version}), python3-tk (>= ${Source-Version}), python3-profiler (>= ${Source-Version})
 Description: An interactive high-level object-oriented language (default python3 version)
  Python, the high-level, interactive object oriented language,
@@ -22,16 +22,16 @@
 Package: python3-minimal
 Architecture: all
 Priority: optional
-Depends: python3.0-minimal (>= 3.0~b2), dpkg (>= 1.13.20)
+Depends: python3.0-minimal (>= 3.0.1), dpkg (>= 1.13.20)
 Description: A minimal subset of the Python language (default python3 version)
  This package contains the interpreter and some essential modules.  It's used
  in the boot process for some basic tasks.
- See /usr/share/doc/python3-minimal/README.Debian for a list of the modules
+ See /usr/share/doc/python-minimal/README.Debian for a list of the modules
  contained in this package.
 
 Package: python3-examples
 Architecture: all
-Depends: python3 (= ${Source-Version}), python3.0-examples (>= 3.0~b2)
+Depends: python3 (= ${Source-Version}), python3.0-examples (>= 3.0.1)
 Description: Examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -41,7 +41,7 @@
 
 Package: python3-dev
 Architecture: all
-Depends: python3 (= ${Source-Version}), python3.0-dev (>= 3.0~b2)
+Depends: python3 (= ${Source-Version}), python3.0-dev (>= 3.0.1)
 Description: Header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -64,7 +64,7 @@
 Package: python3-doc
 Section: doc
 Architecture: all
-Depends: python3.0-doc (>= 3.0~b2)
+Depends: python3.0-doc (>= 3.0.1)
 Suggests: python3 (>= ${Source-Version})
 Description: Documentation for the high-level object-oriented language Python
  This is the official set of documentation for the interactive high-level
@@ -87,7 +87,7 @@
 Package: python3-dbg
 Architecture: all
 Priority: extra
-Depends: python3 (= ${Source-Version}), python3.0-dbg (>= 3.0~b2)
+Depends: python3 (= ${Source-Version}), python3.0-dbg (>= 3.0.1)
 Provides: python3-gdbm-dbg, python3-tk-dbg
 Description: Debug Build of the Python Interpreter (version 3.0)
  Python interpreter configured with --pydebug. Dynamically loaded modules are

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 export PVER=python3.0
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 3.0~b2
+PREVVER := 3.0.1
 
 PWD		:= $(shell pwd)

## python3-defaults 3.1-1ubuntu1

=== debian/changelog ===
python3-defaults (3.1-1ubuntu1) karmic; urgency=low

  * Upload to karmic.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Jul 2009 16:46:49 +0200

python3-defaults (3.1-1) experimental; urgency=low

  * Depend on the 3.1 versions of the packages.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Jul 2009 17:27:33 +0200

=== debian/control ===
Source: python3-defaults
Section: python
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
Build-Depends-Indep: debhelper (>= 4), libhtml-tree-perl, debiandoc-sgml, python-docutils, python
Standards-Version: 3.8.2

Package: python3
Architecture: all
Priority: optional
Depends: python3.1 (>= 3.1), python3-minimal (= ${Source-Version})
Suggests: python3-doc (>= ${Source-Version}), python3-tk (>= ${Source-Version}), python3-profiler (>= ${Source-Version})
Description: An interactive high-level object-oriented language (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v3.1).

Package: python3-minimal
Architecture: all
Priority: optional
Depends: python3.1-minimal (>= 3.1), dpkg (>= 1.13.20)
Replaces: python3.1 (<< 3.1-2)
Description: A minimal subset of the Python language (default python3 version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python-minimal/README.Debian for a list of the modules
 contained in this package.

Package: python3-examples
Architecture: all
Depends: python3 (= ${Source-Version}), python3.1-examples (>= 3.1)
Description: Examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v3.1).

Package: python3-dev
Architecture: all
Depends: python3 (= ${Source-Version}), python3.1-dev (>= 3.1)
Replaces: python3.1 (<< 3.1-2)
Description: Header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v3.1).

Package: idle3
Architecture: all
Depends: python3 (= ${Source-Version}), python3-tk
Enhances: python3
Description: An IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v3.1).

Package: python3-doc
Section: doc
Architecture: all
Depends: python3.1-doc (>= 3.1)
Suggests: python3 (>= ${Source-Version})
Description: Documentation for the high-level object-oriented language Python
 This is the official set of documentation for the interactive high-level
 object-oriented language Python (v3.1). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v3.1).

Package: python3-dbg
Architecture: all
Priority: extra
Depends: python3 (= ${Source-Version}), python3.1-dbg (>= 3.1)
Description: Debug Build of the Python Interpreter (version 3.1)
 Python interpreter configured with --pydebug. Dynamically loaded modules are
 searched in /usr/lib/python3.1/lib-dynload/debug first.

Package: python3-all
Architecture: all
Priority: optional
Depends: python3 (= ${Source-Version}), python3.1
Description: Package depending on all supported Python runtime versions
 The package currently depends on python3.1, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
 may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python runtimes.

Package: python3-all-dev
Architecture: all
Priority: optional
Depends: python3-all (= ${Source-Version}), python3-dev (= ${Source-Version}), python3.1-dev
Description: Package depending on all supported Python development packages
 The package currently depends on python3.1-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python development packages.

Package: python3-all-dbg
Architecture: all
Priority: optional
Depends: python3-all (= ${Source-Version}), python3-dbg (= ${Source-Version}), python3.1-dbg
Description: Package depending on all supported Python debugging packages
 The package currently depends on python3.1-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python development packages.

=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,12 @@
 
 distribution := $(shell lsb_release -is)
 
-export VER=3.0
-export NVER=3.1
-export PVER=python3.0
+export VER=3.1
+export NVER=3.2
+export PVER=python3.1
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 3.0.1
+PREVVER := 3.1
 
 PWD		:= $(shell pwd)

## python3-defaults 3.1.2-0ubuntu1

=== debian/changelog ===
python3-defaults (3.1.2-0ubuntu1) lucid; urgency=low

  * Depend on the 3.1.2 versions of the packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Mar 2010 14:07:35 +0100

python3-defaults (3.1.1-1) unstable; urgency=low

  * Depend on the 3.1.1 versions of the packages.

 -- Matthias Klose <doko@debian.org>  Fri, 22 Jan 2010 17:44:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: python3-defaults
 Section: python
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
-Build-Depends-Indep: debhelper (>= 4), libhtml-tree-perl, debiandoc-sgml, python-docutils, python
-Standards-Version: 3.8.2
+Maintainer: Matthias Klose <doko@debian.org>
+Build-Depends: debhelper (>= 5.0.37), python
+Build-Depends-Indep: libhtml-tree-perl, debiandoc-sgml, python-docutils
+Standards-Version: 3.8.4
 
 Package: python3
 Architecture: all
 Priority: optional
-Depends: python3.1 (>= 3.1), python3-minimal (= ${Source-Version})
-Suggests: python3-doc (>= ${Source-Version}), python3-tk (>= ${Source-Version}), python3-profiler (>= ${Source-Version})
+Depends: python3.1 (>= 3.1.2), python3-minimal (= ${binary:Version}), ${misc:Depends}
+Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= ${binary:Version}), python3-profiler (>= ${binary:Version})
 Description: An interactive high-level object-oriented language (default python3 version)
  Python, the high-level, interactive object oriented language,
  includes an extensive class library with lots of goodies for
@@ -22,17 +22,17 @@
 Package: python3-minimal
 Architecture: all
 Priority: optional
-Depends: python3.1-minimal (>= 3.1), dpkg (>= 1.13.20)
+Depends: python3.1-minimal (>= 3.1.2), dpkg (>= 1.13.20), ${misc:Depends}
 Replaces: python3.1 (<< 3.1-2)
 Description: A minimal subset of the Python language (default python3 version)
  This package contains the interpreter and some essential modules.  It's used
  in the boot process for some basic tasks.
- See /usr/share/doc/python-minimal/README.Debian for a list of the modules
+ See /usr/share/doc/python3.1-minimal/README.Debian for a list of the modules
  contained in this package.
 
 Package: python3-examples
 Architecture: all
-Depends: python3 (= ${Source-Version}), python3.1-examples (>= 3.1)
+Depends: python3 (= ${binary:Version}), python3.1-examples (>= 3.1.2), ${misc:Depends}
 Description: Examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -42,7 +42,7 @@
 
 Package: python3-dev
 Architecture: all
-Depends: python3 (= ${Source-Version}), python3.1-dev (>= 3.1)
+Depends: python3 (= ${binary:Version}), python3.1-dev (>= 3.1.2), ${misc:Depends}
 Replaces: python3.1 (<< 3.1-2)
 Description: Header files and a static library for Python (default)
  Header files, a static library and development tools for building
@@ -54,7 +54,7 @@
 
 Package: idle3
 Architecture: all
-Depends: python3 (= ${Source-Version}), python3-tk
+Depends: python3 (= ${binary:Version}), python3-tk, ${misc:Depends}
 Enhances: python3
 Description: An IDE for Python using Tkinter (default version)
  IDLE is an Integrated Development Environment for Python.
@@ -66,8 +66,8 @@
 Package: python3-doc
 Section: doc
 Architecture: all
-Depends: python3.1-doc (>= 3.1)
-Suggests: python3 (>= ${Source-Version})
+Depends: python3.1-doc (>= 3.1.2), ${misc:Depends}
+Suggests: python3 (>= ${binary:Version})
 Description: Documentation for the high-level object-oriented language Python
  This is the official set of documentation for the interactive high-level
  object-oriented language Python (v3.1). All documents are provided
@@ -88,8 +88,9 @@
 
 Package: python3-dbg
 Architecture: all
+Section: debug
 Priority: extra
-Depends: python3 (= ${Source-Version}), python3.1-dbg (>= 3.1)
+Depends: python3 (= ${binary:Version}), python3.1-dbg (>= 3.1.2), ${misc:Depends}
 Description: Debug Build of the Python Interpreter (version 3.1)
  Python interpreter configured with --pydebug. Dynamically loaded modules are
  searched in /usr/lib/python3.1/lib-dynload/debug first.
@@ -97,7 +98,7 @@
 Package: python3-all
 Architecture: all
 Priority: optional
-Depends: python3 (= ${Source-Version}), python3.1
+Depends: python3 (= ${binary:Version}), python3.1, ${misc:Depends}
 Description: Package depending on all supported Python runtime versions
  The package currently depends on python3.1, in the future,
  dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
@@ -109,7 +110,7 @@
 Package: python3-all-dev
 Architecture: all
 Priority: optional
-Depends: python3-all (= ${Source-Version}), python3-dev (= ${Source-Version}), python3.1-dev
+Depends: python3 (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dev (= ${binary:Version}), python3.1-dev, ${misc:Depends}
 Description: Package depending on all supported Python development packages
  The package currently depends on python3.1-dev, in the
  future, dependencies on jython (Python for a JVM) and ironpython (Python
@@ -120,8 +121,9 @@
 
 Package: python3-all-dbg
 Architecture: all
-Priority: optional
-Depends: python3-all (= ${Source-Version}), python3-dbg (= ${Source-Version}), python3.1-dbg
+Section: debug
+Priority: extra
+Depends: python3 (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dbg (= ${binary:Version}), python3.1-dbg, ${misc:Depends}
 Description: Package depending on all supported Python debugging packages
  The package currently depends on python3.1-dbg, in the
  future, dependencies on jython (Python for a JVM) and ironpython (Python

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 export PVER=python3.1
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 3.1
+PREVVER := 3.1.2
 
 PWD		:= $(shell pwd)
